Skip to main content
PUT
Attach packs to a chat workspace or thread

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

target_type
enum<string>
required

workspace or thread.

Available options:
workspace,
thread
target_id
string<uuid>
required

The workspace's or thread's ID.

Body

application/json

The packs to attach to a chat workspace or thread (replaces the list).

packs
PackAttachment · object[]
Maximum array length: 10

Response

Successful Response

The packs attached to a chat workspace or thread.

target_type
enum<string>
required
Available options:
workspace,
thread
target_id
string<uuid>
required
packs
Packs · object[]
required
can_edit
boolean
default:false